Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class RowSetHelper

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.common.PropertiesHelper
                  |
                  +--oracle.jbo.common.RowSetHelper

Direct Known Subclasses:
  oracle.jbo.server.RowSetImpl, RowSetIteratorHelper

public abstract class RowSetHelper
extends PropertiesHelper

Internal: Applications should not use this class.

Field Summary
`protected java.util.Vector` | `listeners`
`protected java.lang.String` | `mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties, timer`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`RowSetHelper()`

Method Summary
`void` | `addListener(java.lang.Object target)`
`void` | `fireNavigationEvent(NavigationEvent event)`
`void` | `fireRangeRefreshed(RangeRefreshEvent event)`
`void` | `fireRangeScrolled(ScrollEvent event)`
`void` | `fireRowDeleted(DeleteEvent event)`
`void` | `fireRowInserted(InsertEvent event)`
`void` | `fireRowUpdated(UpdateEvent event)`
`protected java.util.Vector` | `getListeners()`
`java.lang.String` | `getName()`
`void` | `removeListener(java.lang.Object target)`
`void` | `setName(java.lang.String name)`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperties, getProperty, refreshProperty, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mName

    protected java.lang.String mName

### listeners

    protected java.util.Vector listeners

Constructor Detail

### RowSetHelper

    public RowSetHelper()

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### getListeners

    protected java.util.Vector getListeners()

### addListener

    public void addListener(java.lang.Object target)

### removeListener

    public void removeListener(java.lang.Object target)

### fireRangeRefreshed

    public void fireRangeRefreshed(RangeRefreshEvent event)

### fireRangeScrolled

    public void fireRangeScrolled(ScrollEvent event)

### fireRowInserted

    public void fireRowInserted(InsertEvent event)

### fireRowDeleted

    public void fireRowDeleted(DeleteEvent event)

### fireRowUpdated

    public void fireRowUpdated(UpdateEvent event)

### fireNavigationEvent

    public void fireNavigationEvent(NavigationEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD